<script setup>
import {Vue3SlideUpDown} from "vue3-slide-up-down";
import {ref, watch} from "vue";

const props = defineProps({
    title:String,
    options:Object,
    modelValue:{
        type:Array,
        default:[],
    }
})

const emit = defineEmits([
    'update:modelValue',
])

const model = ref([]);
const color_number = (item) => {

    if(item.color_number){
        let color = item.color_number
        return 'color:' + "rgba("+color.r+", "+color.g+", "+color.b+", "+color.a+")"
    }
}
watch(
    () => model.value,
    (val) => emit( 'update:modelValue',val)
)

const toggleOpen = ref(false);
</script>

<template>
    <div class="profile__box">
        <div class="profile__line js-openClose-menu"
             @click="toggleOpen = !toggleOpen" :class="{active: toggleOpen}">
            <p class="profile__box-item">{{ title }}</p>
            <div class="profile__line-openClose orange">
                <div class="profile__line-line"></div>
                <div class="profile__line-line"></div>
            </div>
        </div>
        <Vue3SlideUpDown class="profile__box-content" v-model="toggleOpen">
            <div v-for="item in options" class="marketBottom__checkbox-wrapper">
                <input v-model="model"
                    :value="item.id"
                    class="marketBottom__checkbox"
                    :id="props.title+item.id"
                    type="checkbox"
                />
                <label class="marketBottom__checkbox-custom"
                    :for="props.title+item.id"></label>
                <p class="marketBottom__checkbox-text">
                   <span :style="color_number(item)"
                         v-if="!item.icon"> {{ item.name }}</span>
                    <img :title="item.name" class="marketBottom__tag" width="50" v-if="item.icon" :src="item.icon">
                </p>
            </div>
        </Vue3SlideUpDown>
    </div>
</template>

